<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <TextView
        android:id="@+id/tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/hello_world" />

    <Button
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="scan"
        android:text="扫描" />

    <EditText
        android:inputType="text"
        android:id="@+id/edit"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />


    <Button
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="mark"
        android:text="生成" />

    <ImageView
        android:id="@+id/image"
        android:layout_width="100dp"
        android:layout_height="100dp" />

</LinearLayout>